Hammer : add addtional volume to Openstack via l'api Hammer

01/18/2016 05:02 AM - Olivier Lebhard

Status: Duplicate   

Priority: Normal   

Assignee: Olivier Lebhard   

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3088

  

Description

Similar to Feature #11577, when creating a new vm using Openstack with Hammer API, additional volumes won't be created. I have

implemented and tested this feature in our development environment.

I put only volume attributes.

hammer :

--volume="capacity=14"

--volume="capacity=15"

Will push the code to github afterwords.

Related issues:

Related to Foreman - Feature #11577: Add additional volume to OpenStack New 08/26/2015 09/09/2015

History

#1 - 01/18/2016 05:08 AM - Olivier Lebhard

Olivier Lebhard wrote:

Similar to Feature #11577, when creating a new vm using Openstack with Hammer API, additional volumes won't be created. I have

implemented and tested this feature in our development environment.

I put only volume attributes.

hammer :

--volume="capacity=14"

--volume="capacity=15"

Will push the code to github afterwords.

Thanks

Olivier L

#2 - 01/18/2016 05:39 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3088 added

#3 - 01/18/2016 05:49 AM - Dominic Cleal

- Related to Feature #11577: Add additional volume to OpenStack added

#4 - 08/04/2016 03:06 AM - Dominic Cleal

- Status changed from Ready For Testing to Duplicate
The PR has been closed due to inactivity, so I'll also close this ticket in favour of #11577.
